Package org.apache.felix.http.proxy

## Class ProxyListener

- java.lang.Object
- - org.apache.felix.http.proxy.ProxyListener

All Implemented Interfaces:
  `jakarta.servlet.http.HttpSessionAttributeListener`, `jakarta.servlet.http.HttpSessionIdListener`, `jakarta.servlet.http.HttpSessionListener`, `jakarta.servlet.ServletContextListener`, `EventListener`

    @Deprecated
    public class ProxyListener
    extends Object
    implements jakarta.servlet.http.HttpSessionAttributeListener, jakarta.servlet.http.HttpSessionListener, jakarta.servlet.http.HttpSessionIdListener, jakarta.servlet.ServletContextListener

Deprecated.
Use the `ProxyServletContextListener` instead.
The `ProxyListener` implements a Servlet API listener for HTTP Session related events. These events are provided by the servlet container and forwarded to the event dispatcher.

Since:
  2.1.0

### Constructor Summary

Constructors
`ProxyListener()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `attributeAdded​(jakarta.servlet.http.HttpSessionBindingEvent se)` Deprecated.
`void` `attributeRemoved​(jakarta.servlet.http.HttpSessionBindingEvent se)` Deprecated.
`void` `attributeReplaced​(jakarta.servlet.http.HttpSessionBindingEvent se)` Deprecated.
`void` `contextDestroyed​(jakarta.servlet.ServletContextEvent sce)` Deprecated.
`void` `contextInitialized​(jakarta.servlet.ServletContextEvent sce)` Deprecated.
`void` `sessionCreated​(jakarta.servlet.http.HttpSessionEvent se)` Deprecated.
`void` `sessionDestroyed​(jakarta.servlet.http.HttpSessionEvent se)` Deprecated.
`void` `sessionIdChanged​(jakarta.servlet.http.HttpSessionEvent event, String oldSessionId)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyListener

    public ProxyListener()

Deprecated.

### Method Detail

#### contextInitialized

    public void contextInitialized​(jakarta.servlet.ServletContextEvent sce)

Deprecated.

Specified by:
  `contextInitialized` in interface `jakarta.servlet.ServletContextListener`

#### contextDestroyed

    public void contextDestroyed​(jakarta.servlet.ServletContextEvent sce)

Deprecated.

Specified by:
  `contextDestroyed` in interface `jakarta.servlet.ServletContextListener`

#### sessionCreated

    public void sessionCreated​(jakarta.servlet.http.HttpSessionEvent se)

Deprecated.

Specified by:
  `sessionCreated` in interface `jakarta.servlet.http.HttpSessionListener`

#### sessionDestroyed

    public void sessionDestroyed​(jakarta.servlet.http.HttpSessionEvent se)

Deprecated.

Specified by:
  `sessionDestroyed` in interface `jakarta.servlet.http.HttpSessionListener`

#### sessionIdChanged

    public void sessionIdChanged​(jakarta.servlet.http.HttpSessionEvent event,
                                 String oldSessionId)

Deprecated.

Specified by:
  `sessionIdChanged` in interface `jakarta.servlet.http.HttpSessionIdListener`

#### attributeAdded

    public void attributeAdded​(jakarta.servlet.http.HttpSessionBindingEvent se)

Deprecated.

Specified by:
  `attributeAdded` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

#### attributeRemoved

    public void attributeRemoved​(jakarta.servlet.http.HttpSessionBindingEvent se)

Deprecated.

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

#### attributeReplaced

    public void attributeReplaced​(jakarta.servlet.http.HttpSessionBindingEvent se)

Deprecated.

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.http.HttpSessionAttributeListener`